List webhook endpoints
curl --request GET \
--url https://app.sahlfinancial.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sahlfinancial.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sahlfinancial.com/api/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "e4b7a2c9-1f6d-4d38-a5e3-7c9b0d2f8a41",
"tenant_id": "0b6f5a3e-7c1d-4e0a-9d2f-3a1c5e8b7f10",
"url": "https://example.com/hooks/sahl",
"events": "case.created,case.scored",
"is_active": true,
"description": "Case events to the loan system",
"created_at": "2026-10-07T09:14:22Z",
"updated_at": "2026-10-07T09:14:22Z"
}
]{
"detail": "Invalid or expired token"
}{
"detail": "Insufficient permissions"
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down."
}List webhook endpoints
Who can call it: tenant_admin, tenant_api_manager or platform_admin.
Auth: dashboard session (Authorization: Bearer <access token>). Not available with a partner API key.
List webhook endpoints
curl --request GET \
--url https://app.sahlfinancial.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sahlfinancial.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sahlfinancial.com/api/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "e4b7a2c9-1f6d-4d38-a5e3-7c9b0d2f8a41",
"tenant_id": "0b6f5a3e-7c1d-4e0a-9d2f-3a1c5e8b7f10",
"url": "https://example.com/hooks/sahl",
"events": "case.created,case.scored",
"is_active": true,
"description": "Case events to the loan system",
"created_at": "2026-10-07T09:14:22Z",
"updated_at": "2026-10-07T09:14:22Z"
}
]{
"detail": "Invalid or expired token"
}{
"detail": "Insufficient permissions"
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down."
}Authorizations
The access token (JWT) of a signed-in console user, from POST /v1/auth/login. It lasts 30 minutes. It is not an API key: a partner API key is refused here. There is no cookie.